# Slack Guidelines:

## Be Nice. Be Respectful.
We cannot stress enough that we want this to be a safe, comfortable and inclusive environment. Please read our [code of conduct](https://github.com/great-expectations/great_expectations/blob/develop/CODE_OF_CONDUCT.md) if you need more information on this guideline.

## Keep timezones in mind and be respectful of peoples’ time.
People on Slack are distributed and might be in a very different time zone from you, so don't use @channel @here (this is reserved for admins anyways). Before you @-mention someone, think about what timezone they are in and if you are likely to disturb them. You can check someone's timezone in their profile. As of today, the core GE team is based solely in the United States but the community is world wide.

If you post in off hours be patient, Someone will get back to you once the sun comes up.

## Asking for help

- Do your best to try and solve the problem first as your efforts will help us more easily answer the question.
- [Read "How to write a good question in Slack"](https://github.com/great-expectations/great_expectations/discussions/4951)
- Head over to our [Documentation](https://docs.greatexpectations.io/en/latest/)
- Checkout [GitHub Discussions](https://github.com/great-expectations/great_expectations/discussions) this is where we want most of our problem solving, discussion, updates, etc to go because it helps keep a more visible record for GE users.

#### Asking your question in Slack

**Know your support channel:**
<ul>
	<li>#support: Having trouble with customizing your Expectations, an integration or anything else .beyond just getting started? Post here.</li>
	<li>#feature-requests: Have a good idea for an Expectation or a feature? Post it here. </li>
	<li>#contributors-contributing: For previous, current and prospective contributors to talk about potential contributions and to help each other with contributions.</li>
</ul>
## Use Public Channels, Not Private Groups
Slack is about communication, so use public channels whenever possible. This is good for transparency, but also keeps the community vibrant and alive. You also have an opportunity to help someone else who might find your conversation helpful or encouraging.


## Promoting Products or Services
Great Expectations is a piece of the puzzle when it comes to being a data practitioner and so we want our community to be aware of the other pieces that make up the whole picture. If you plan on sharing an awesome tool or service you have no association with jump into #tools_and_services. If you are promoting your own please abide by the following rules.

1. You're allowed to;
    1. Promote your tool ONLY in #tool_and_service or when you introduce yourself in #introductions.
    2. Promote your tool in the tools channel once. Beyond answering questions about the tool multiple postings may be viewed as excessive and receive a warning.
    3. Mention your tool if someone mentions or is organic to a solution.
2. If you see a partnership opportunity with Great Expectations please DM @Kyle Eaton and @Abe. We would love to create collaborative content and work with you if possible in promoting your product/service. 
3. We will warn you if your promotion becomes excessive or not aligned with our code of conduct. If continued the result could end in you being removed from the slack community.
4. **No Soliciting. Do not cold DM our users to promote your product. If we receive a valid soliciting complaint about you, we will remove you from the community. 
5. Have any questions about our promotional rules or want to run what you plan to share by us? DM @Kyle Eaton

## All Channels

**\#contributors-contributing**<br/>
For previous, current and prospective contributors to talk about potential contributions and to help each other with contributions.

**\#job-openings**<br/>
Looking to hire someone in the community? Post your job here:

**\#feature-requests**<br/>
Have a good idea for an expectation? Post it here.

**\#support**<br/>
Looking for support for great expectations? Post your questions here.

**\#announcements**<br/>
Any announcements related to the Great Expectations and the community will be posted here exclusively by admins (have something you think is announcement worthy? DM @Kyle-Eaton).

**\#general**<br/>
A place to talk shop about data news, articles, conferences, data horror stories and really just anything in the data world.

**\#documentation**<br/>
Have questions or suggestions for our documentation? Post here.


*If you have any questions or comments about the following feel free to comment here or dm @Kyle Eaton in the [slack channel](https://greatexpectations.io/slack).
